# Generated from dropbox-sdk-forked_v2-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dropbox-sdk-forked_v2

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Dropbox REST API Client for API V2
License: MIT
URL: http://www.dropbox.com/developers/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 4.3
# BuildRequires: rubygem(minitest) < 5
# BuildRequires: rubygem(test-unit) >= 3.2
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
A library that provides a plain function-call interface to the
Dropbox API web endpoints.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.1-1
- Initial package
